<template>
		<el-dialog
                width="50%"
				:visible="showHiringDialog"
				append-to-body
				@close="$emit('update:showHiringDialog', false)">


                <!-- Start table Hiring -->
                <h2>Hirings</h2>
                  <el-table
                        height="400"
                        v-loading="postLoading"
                        empty-text="No data"
                        :data="hiring"
                        style="width: 100%">
                    <el-table-column fixed prop="hire.identity_image_url" label="Avatar" >
                        <template slot-scope="scope">
                        <div>
                            <img width="64" height="64" :src="(scope.row.hire && scope.row.hire.user.avatar_url) ? scope.row.hire.user.avatar_url : $store.state.imgHolder" alt="Avatar">
                        </div>
                    </template>
                    </el-table-column>
                    <el-table-column  prop="hire.user.full_name" label="Name" >
                    </el-table-column>
                    <el-table-column  prop="created_at" label="Created" >
                        <template slot-scope="scope">
                            <div>
                                <span>{{scope.row.created_at | moment('DD-MM-YYYY')}} </span>
                            </div>
                        </template>
                    </el-table-column>
                </el-table>
                <!-- End table Hiring -->
		</el-dialog>

</template>
<script>
    import {job as jobApi} from '~/services/apis/index'
    export default {
        props: [ 'showHiringDialog', 'job_post_id'],
        data() {
            return {
                postLoading: false,
                hiring: [],
            };
        },
        methods: {

            /* get Hiring
                @param job_post_id{number}
            */
            getHirings(){
                this.postLoading = true;
                jobApi.getHiringsByPost(1, 10, 'id', 'desc', this.job_post_id)
                    .then((res) => {
                        this.hiring = [...res.data.data];
                        this.postLoading = false;
                    });
            },


        },
		mounted(){
            /*Call APIs when mounted*/
            this.getHirings()

		},
        watch: {
            showHiringDialog: function() {
                /*Get data everytime open/close dialog */
                   this.hiring = this.getHirings();
            }

        },

    }
</script>

<style lang="scss">
	.upload-img-outer{
		position: relative;
		.icon-img-close{

			position: absolute;
			top: 3px;
			right: 5px;
			padding: 3px;

			&:hover{
			}
		}
	}

</style>
